<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 03/22/2004 *
 * ===================                          Last change: 05/02/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : ext-html_mail.php                                *
 * -------------------------------------------------------------------- *
 * Short description : HTML mails with default mail() routine           *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : HTML-Mails mit Standard mail()-Routine           *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2013 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Version number
setThisExtensionVersion('0.1.8');

// Version history array (add more with , '0.0.1' and so on)
setExtensionVersionHistory(array('0.0.0', '0.0.1', '0.0.2', '0.0.3', '0.0.4', '0.0.5', '0.0.51', '0.0.52', '0.0.6', '0.0.7', '0.0.8', '0.0.9', '0.1.0', '0.1.1', '0.1.2', '0.1.3', '0.1.4', '0.1.5', '0.1.6', '0.1.7', '0.1.8'));

switch (getExtensionMode()) {
	case 'setup': // Do stuff when installation is running
		// SQL commands to run
		addExtensionAddTableColumnSql('user_data', 'html', "ENUM('Y','N') NOT NULL DEFAULT 'Y'");
		addExtensionAddTableColumnSql('bonus', 'html_msg', "ENUM('Y','N') NOT NULL DEFAULT 'N'");
		addExtensionAddTableColumnSql('pool', 'html_msg', "ENUM('Y','N') NOT NULL DEFAULT 'N'");
		addMemberMenuSql('account', 'html_mail', 'HTML-Empfang', 3);

		// Register filter here
		registerFilter(__FILE__, __LINE__, 'exclude_users', 'HTML_INCLUDE_USERS', FALSE, TRUE, isExtensionDryRun());
		break;

	case 'remove': // Do stuff when removing extension
		// SQL commands to run
		addExtensionSql("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_member_menu` WHERE `what`='html_mail' LIMIT 1");

		// Remove filter(s)
		unregisterFilter(__FILE__, __LINE__, 'pre_mail_order', 'MAIL_ORDER_GENERIC_CHECK_URL', TRUE, isExtensionDryRun());
		unregisterFilter(__FILE__, __LINE__, 'exclude_users', 'HTML_INCLUDE_USERS', TRUE, isExtensionDryRun());
		break;

	case 'activate': // Do stuff when admin activates this extension
		// SQL commands to run
		addExtensionSql("UPDATE `{?_MYSQL_PREFIX?}_member_menu` SET `visible`='Y',`locked`='N' WHERE `what`='html_mail' LIMIT 1");
		break;

	case 'deactivate': // Do stuff when admin deactivates this extension
		// SQL commands to run
		addExtensionSql("UPDATE `{?_MYSQL_PREFIX?}_member_menu` SET `visible`='N',`locked`='Y' WHERE `what`='html_mail' LIMIT 1");
		break;

	case 'update': // Update an extension
		break;

	case 'modify': // When the extension got modified
		break;

	case 'test': // For testing purposes
		break;

	case 'init': // Do stuff when extension is initialized
		// Valid HTML tags (only simple and no attributes!)
		// @TODO Move these arrays into config
		$GLOBALS['html_tags'] = array(
			'b',
			'i',
			'u',
			'ol',
			'ul',
			'li',
			'strong',
			'center',
			'left',
			'right',
			'br',
		);

		// URL ends which are used to indentify the end of an URL or email link
		// Don't use these chars in links... ;-)
		//
		$GLOBALS['url_ends'] = array(
			' ',
			PHP_EOL,
			chr(13),
			')',
		);

		// Valid email chars (without @, or do you want to have another @ inside your email email?)
		$GLOBALS['valid_email_chars'] = array(
			'a','b','c','d','e','f','g','h','i','j','k','l','m','n','o','p','q','r','s',
			't','u','v','w','x','y','z','a','B','C','D','E','F','G','H','I','J','K','L',
			'M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z','-','.','_',0,1,
			2,3,4,5,6,7,8,9
		);
		break;

	default: // Unknown extension mode
		reportBug(__FILE__, __LINE__, sprintf('Unknown extension mode %s in extension %s detected.', getExtensionMode(), getCurrentExtensionName()));
		break;
} // END - switch

// [EOF]
?>
