<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 11/26/2004 *
 * ===================                          Last change: 11/26/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-active.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : Today active members list                        *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Liste heutiger aktiver Mitglieder                *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2013 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	exit();
} // END - if

// Add description as navigation point
addYouAreHereLink('guest', __FILE__);

if ((!isExtensionActive('active')) && (!isAdmin())) {
	displayMessage('{%pipe,generateExtensionInactiveNotInstalledMessage=active%}');
	return;
} // END - if

// Check for members who were active only this day
$result = sqlQuery("SELECT
	`userid`,
	`last_online`
FROM
	`{?_MYSQL_PREFIX?}_user_data`
WHERE
	`last_online` >= {?START_TDAY?} AND
	`status`='CONFIRMED'
	" . runFilterChain('user_exclusion_sql', ' ') . "
ORDER BY
	`last_online` DESC
LIMIT {?active_limit?}", __FILE__, __LINE__);

// Entries found?
if (!ifSqlHasZeroNums($result)) {
	// At least one member was online so let's load them all
	$OUT = '';
	while ($content = sqlFetchArray($result)) {
		// If ext-nickname is not installed, set 'nickname' to empty
		if (!isExtensionActive('nickname')) {
			$content['nickname'] = '';
		} // END - if

		// Translate comma
		$content['last_online'] = generateDateTime($content['last_online'], '2');

		// Load template
		$OUT .= loadTemplate('guest_list_active_row', TRUE, $content);
	} // END - while
} else {
	// No member was online today! :-(
	$OUT = loadTemplate('guest_list_active_row_none', TRUE);
}

// Load template
loadTemplate('guest_list_active', FALSE, $OUT);

// [EOF]
?>
